Subject: Re: Using DMA

From: Bill Gatliff <[email-masked]>
Date: Sat, 08 Nov 2008 21:26:52 -0600

Timur Tabi wrote:
> [email-masked] wrote:
> 
>> So it sounds like the async dma is the way to go, since I want to off load 
>> as much as possible from the core.  As you say, though, it's new and not 
>> in LDD3.  Is .../drivers/dma/dmaengine.c what everyone is refering to as 
>> async dma?
> 
> Yes.
> 
>>  If not, what is?  And what in the kernel is already using it
>> so I can look at some example code.
> 
> There's some network stuff that uses it for optimization.  If CONFIG_NET_DMA is
> enabled, that will turn on some kind of TCP/IP offloading.  I don't really know
> much about that.  There's also a dmatest.c testing driver.

I think some md (RAID) stuff uses it, too.

> It would definitely be nice to see a third client driver.

Why stop at three?  :)

b.g.
-- 
Bill Gatliff
[email-masked]